System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Permissions.CodeAccessSecurityAttribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Constructor | System.AttributeTargets.Method, AllowMultiple=true, Inherited=false) To be added

Associates a security action with a custom security attribute.

- Constructor
  To be added

  Initializes a new instance of the .

  One of the security action values representing an action that can be performed by declarative security.
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value indicating whether a blank password is allowed.

  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.String To be added.

  Multiple connection strings may be identified. You may also provide additional connection string restrictions using KeyRestrictions.

  Gets or sets a permitted connection string.

- Property
  1.0.5000.0
  2.0.0.0
  System.Data.KeyRestrictionBehavior To be added. To be added.

  Identifies whether the list of connection string parameters identified by the property are the only connection string parameters allowed.

- Property
  1.0.5000.0
  2.0.0.0
  System.String To be added.

  Connection string parameters are identified in the form <parameter name>=. Multiple parameters can be specified, delimited using a semicolon (;). The connection string parameters listed may be identified as either the only additional parameters allowed or additional parameters that are not allowed using the property.

  If no key restrictions are specified, and the property is set to AllowOnly, no additional connection string parameters are allowed.

  If no key restrictions are specified, and the property is set to PreventUsage, additional connection string parameters are allowed. If more than one rule is set for the same connection string, the more restrictive rule is selected during the permission check.

  Gets or sets connection string parameters that are allowed or disallowed.

- Method
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Boolean To be added.

  Identifies whether the attribute should serialize the connection string.

  true if the attribute should serialize the connection string; otherwise false.

- Method
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Boolean To be added.

  Identifies whether the attribute should serialize the set of key restrictions.

  true if the attribute should serialize the set of key restrictions; otherwise false.